# Disallow actions within chains (`cypress/unsafe-to-chain-command`)

💼 This rule is enabled in the ✅ `recommended` config.

<!-- end auto-generated rule header -->
### Options

<!-- begin auto-generated rule options list -->

| Name      | Description                                                 | Type  | Default |
| :-------- | :---------------------------------------------------------- | :---- | :------ |
| `methods` | An additional list of methods to check for unsafe chaining. | Array | `[]`    |

<!-- end auto-generated rule options list -->

## Further Reading

See [retry-ability guide](https://docs.cypress.io/guides/core-concepts/retry-ability#Actions-should-be-at-the-end-of-chains-not-the-middle).
